<?

  # design_all
  # : http://e2.ilyabirman.ru/manual/howtochangedesign/designall

  $c = @$content;
  $i = @$content['interface'];
  $np = @$content['nowplayin'];

?>

<html>

<head>

<title><?=$content['title']?></title>
<base href="<?=$content['base_href']?>" />
<meta http-equiv="content-type" content="text/html; charset=windows-1251" />
<link rel="stylesheet" type="text/css" href="system/design/style.css" />
<link rel="alternate" type="application/rss+xml" title="RSS" href="<?=$content['rss_href']?>" />

</head>

<body>

<div id="frame">

<div id="e2logo-and-login">
  <div id="e2logo">
    <img src="images/e2logo.gif" alt="e2" title="e2 <?=$content['e2_version_description']?>" />
    <p> &trade; <small><a href="http://e2.ilyabirman.ru/manual/howtochangedesigneasily">?</a></small></p>
  </div>
  <div id="login">
    <?=@$i['login_form']?>
  </div>
</div>

<? if (@$i['sd_user_interface']): ?>

<div id="location-and-navigation">
<div id="location">
<p>
  <?=@$c['location']?><br />
  <big><?=@date ('H:i', $c['time_at_location'])?></big><br />
</p>
</div>
<div id="navigation">
<p>
  <?
    $e = array ();
    if (@$i['home_href'] == NULL) $e[] = '';
      else $e[] = '<a href="'.@$i['home_href'].'"></a>';

    if (@$i['sd_keywords_href']) {
      if (@$i['keywords_href'] == NULL) $e[] = '';
        else $e[] = '<a href="'.@$i['keywords_href'].'"></a>';
    }

    if (@$i['favourites_href'] == NULL) $e[] = '';
      else $e[] = '<a href="'.@$i['favourites_href'].'"></a>';

    if (@$i['most_commented_href'] == NULL) $e[] = '';
      else $e[] = '<a href="'.@$i['most_commented_href'].'"></a>';

    if (@$i['sd_archive_href']) {
      if (@$i['archive_href'] == NULL) $e[] = '';
        else $e[] = '<a href="'.@$i['archive_href'].'"></a>';
    }

    if (@$i['search_href'] == NULL) $e[] = '';
      else $e[] = '<a href="'.@$i['search_href'].'"></a>';

    if (@$i['sd_playlist_href']) {
      if (@$i['playlist_href'] == NULL) $e[] = 'playlist';
        else $e[] = '<a href="'.@$i['playlist_href'].'">playlist</a>';
    }

    $e[] = '<a href="'.@$i['rss_href'].'"><img src="images/rss.gif" alt="RSS" align="middle" /></a>';

    echo implode (' | ', $e);
    unset ($e);
  ?>
</p>
<p>
<small>
<?
  if (@$i['sd_admin_interface']) {
    $e = array ();
    if (@$i['new_note_href'] == NULL) $e[] = '';
      else $e[] = '<a href="'.@$i['new_note_href'].'"></a>';

    if (@$i['files_href'] == NULL) $e[] = '-';
      else $e[] = '<a href="'.@$i['files_href'].'">-</a>';

    if (@$i['change_design_href'] == NULL) $e[] = ' ';
      else $e[] = '<a href="'.@$i['change_design_href'].'"> </a>';

    if (@$i['locations_href'] == NULL) $e[] = '';
      else $e[] = '<a href="'.@$i['locations_href'].'"></a>';

    if (@$i['sd_spesta_href']) {
      $e[] = '<a href="'.@$i['spesta_href'].'"> SpeSta</a>';
    }

    echo implode (' | ', $e).'<br />';
    $e = array ();

    if (@$i['settings_href'] == NULL) $e[] = '';
      else $e[] = '<a href="'.@$i['settings_href'].'"></a>';

    if (@$i['update_href'] == NULL) $e[] = '';
      else $e[] = '<a href="'.@$i['update_href'].'"></a>';

    if (@$i['info_href'] == NULL) $e[] = '';
      else $e[] = '<a href="'.@$i['info_href'].'"></a>';

    if (@$i['backup_href'] == NULL) $e[] = 'backup';
      else $e[] = '<a href="'.@$i['backup_href'].'">backup</a>';

    if (@$i['sd_manual_href']) {
      $e[] = '<a href="'.@$i['manual_href'].'"></a>';
    }

    if (@$i['sd_logout_href']) {
      $e[] = '<a href="'.@$i['logout_href'].'"></a>';
    }

    echo implode (' | ', $e).'<br />';
    unset ($e);
  }
?>
</small>
</p>
</div>
</div>

<? endif; // sd_user_interface ?>

<?
  if (@$np['isplaying']) {
    echo '<div id="nowplayin"><b>Now playing</b><br />';
    echo '<b>'.@$np['artist'].'</b> "'.@$np['title'].'" ';
    echo '<small>'.@$np['elapsed'].' / '.@$np['length'].'</small>';
    echo '<br />';
    echo '<small>powered by <img src="images/e2np.gif" alt="" align="middle" /> e2NP v.'.@$np['clientversion'].'</small></div>';
    echo '<hr />';
  }
?>

<div id="body">
<? if (@$content['sd_msg'] === TRUE) echo '<p>'.@$content['msg'].'</p>'; ?>
<?=@$content['body']?>
</div>

<div id="copyrights-and-pgt-stuff">
<div id="copyrights">
<p>
  Copyright (c) <?=$content['year_range']?> <?=$content['author_name']?><br />
  <?=@$content['about_e2']?>
</p>
</div>
<div id="pgt-stuff">
<p>
<? if (@$admin): ?>
<small>
: <?=@$content['pgt']?> .<br />
<a href="http://bt.ilyabirman.ru">  </a>
</small>
<? endif; ?>

</p>
</div>
</div>

</div>

</body>

</html>